<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLPBRTTManager.html">GLPBRTTManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::GLPBRTTManager Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1GLPBRTTManager.html">Ogre::GLPBRTTManager</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBRTTManager.html#ae389b2ad292ffd66f88436567356bbea">bind</a>(RenderTarget *target)</td><td><a class="el" href="classOgre_1_1GLPBRTTManager.html">Ogre::GLPBRTTManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBRTTManager.html#a8c720a2e6fbdebf3950e35b62b005279">checkFormat</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1GLPBRTTManager.html">Ogre::GLPBRTTManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRTTManager.html#a1075312a92286d2e9c59eba718181f44">createMultiRenderTarget</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1GLRTTManager.html">Ogre::GLRTTManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBRTTManager.html#a9e4ff5346d8335faf402334af4af9322">createRenderTexture</a>(const String &amp;name, const GLSurfaceDesc &amp;target, bool writeGamma, uint fsaa)</td><td><a class="el" href="classOgre_1_1GLPBRTTManager.html">Ogre::GLPBRTTManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRTTManager.html#a9009ddc7bebd9a077c2152e9432ff634">getBestDepthStencil</a>(GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)</td><td><a class="el" href="classOgre_1_1GLRTTManager.html">Ogre::GLRTTManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBRTTManager.html#a5e028c25e01a3c6a4db295924fad39f1">getContextFor</a>(PixelComponentType ctype, size_t width, size_t height)</td><td><a class="el" href="classOgre_1_1GLPBRTTManager.html">Ogre::GLPBRTTManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GLRTTManager &gt;</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GLRTTManager &gt;</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRTTManager.html#a106e43311c8d274d515f7b954e4fb24f">getSupportedAlternative</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1GLRTTManager.html">Ogre::GLRTTManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBRTTManager.html#a1b6556a5fcc24bb085be3008e84d24ec">GLPBRTTManager</a>(GLSupport *support, RenderTarget *mainwindow)</td><td><a class="el" href="classOgre_1_1GLPBRTTManager.html">Ogre::GLPBRTTManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBRTTManager.html#abbd21118c99d3a72dbe40b4e592cb0c2">mMainContext</a></td><td><a class="el" href="classOgre_1_1GLPBRTTManager.html">Ogre::GLPBRTTManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBRTTManager.html#ae5805d3517552d678694525f4894cf35">mMainWindow</a></td><td><a class="el" href="classOgre_1_1GLPBRTTManager.html">Ogre::GLPBRTTManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBRTTManager.html#a3e93cac3de75ae8e1facd01de4e20ff1">mPBuffers</a></td><td><a class="el" href="classOgre_1_1GLPBRTTManager.html">Ogre::GLPBRTTManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GLRTTManager &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBRTTManager.html#aaf81b8dfd4505431660414b1e7504ed2">mSupport</a></td><td><a class="el" href="classOgre_1_1GLPBRTTManager.html">Ogre::GLPBRTTManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBRTTManager.html#ac43cc17abbd3e4db45bc7bd285c9923a">releasePBuffer</a>(PixelComponentType ctype)</td><td><a class="el" href="classOgre_1_1GLPBRTTManager.html">Ogre::GLPBRTTManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBRTTManager.html#a800f6a4de258b5cb9915635a79122ddc">requestPBuffer</a>(PixelComponentType ctype, size_t width, size_t height)</td><td><a class="el" href="classOgre_1_1GLPBRTTManager.html">Ogre::GLPBRTTManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GLRTTManager &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBRTTManager.html#a9c0bf473c3112935173538969020fdbe">unbind</a>(RenderTarget *target)</td><td><a class="el" href="classOgre_1_1GLPBRTTManager.html">Ogre::GLPBRTTManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBRTTManager.html#a71776ecc50a519c832a6621d2cd8689e">~GLPBRTTManager</a>()</td><td><a class="el" href="classOgre_1_1GLPBRTTManager.html">Ogre::GLPBRTTManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRTTManager.html#a22926ca1dc7a6ca3b249e3bdf5473da6">~GLRTTManager</a>()</td><td><a class="el" href="classOgre_1_1GLRTTManager.html">Ogre::GLRTTManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GLRTTManager &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:19
</p>
</body>
</html>
